Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
  • Статус работы сервисов
  • Marketplace
    • Популярные
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Облако для интеграторов
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Контент-программа
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex BareMetal
    • Все инструкции
    • Обзор сервиса
    • Интеграции с другими сервисами Yandex Cloud
      • Обзор
      • Готовые конфигурации серверов
      • Своя конфигурация сервера
      • Конфигурация сервера по запросу
      • Обзор
      • Публичная сеть
      • Приватная сеть
      • DHCP
      • MC-LAG
      • Ограничения в сетях BareMetal
      • Обзор
      • Образы
      • Управление доступом
      • Дополнительные настройки серверов
      • Консоль управления
        • Аутентификация в API
          • Overview
            • Overview
            • Get
            • List
            • ListConfigurationNetworkInterface
      • Метрики Monitoring
    • Квоты и лимиты
  • Правила тарификации
  • Вопросы и ответы

В этой статье:

  • HTTP request
  • Query parameters
  • Response
  • ConfigurationNetworkInterface
  • MCLagAggregationOptions
  1. Концепции
  2. Настройка и управление
  3. Справочник API
  4. REST (англ.)
  5. Configuration
  6. ListConfigurationNetworkInterface

BareMetal API, REST: Configuration.ListConfigurationNetworkInterface

Статья создана
Yandex Cloud
Обновлена 1 июля 2026 г.
Открыть в Markdown
  • HTTP request
  • Query parameters
  • Response
  • ConfigurationNetworkInterface
  • MCLagAggregationOptions

ConfigurationNetworkInterface is not a resource. --)
Retrieves the list of ConfigurationNetworkInterface resources.

HTTP requestHTTP request

GET https://baremetal.api.cloud.yandex.net/baremetal/v1alpha/configurationNetworkInterfaces

Query parametersQuery parameters

Field

Description

folderId

string

ID of the folder to list ConfigurationNetworkInterface resources in.
To get the folder ID, use a yandex.cloud.resourcemanager.v1.FolderService.List request.

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is greater than page_size,
the service returns a ListConfigurationNetworkInterfaceResponse.nextPageToken
that can be used to get the next page of results in subsequent list requests.
Default value is 20.

The maximum value is 1000.

pageToken

string

Page token. To get the next page of results, set page_token to the
ListConfigurationNetworkInterfaceResponse.nextPageToken returned by a previous list request.

orderBy

string

By which column the listing should be ordered and in which direction,
format is "createdAt desc". "id asc" if omitted.
Supported fields: ["id", "name"].
Both snake_case and camelCase are supported for fields.

filter

string

A filter expression that filters resources listed in the response.
The expression consists of one or more conditions united by AND (or and) operator: <condition1> [AND <condition2> [<...> AND <conditionN>]].
Each condition has the form <field> <operator> <value>, where:

  1. <field> is the field name. Currently you can use filtering only on the limited number of fields.
  2. <operator> is a logical operator, one of = (equal), : (substring).
  3. <value> represents a value.
    String values should be written in double (") or single (') quotes. C-style escape sequences are supported (\" turns to ", \' to ', \\ to backslash).
    Example: "key1='value' AND key2='value'"
    Supported operators: ["AND"].
    Supported fields: ["id", "name", "configurationId"].
    Both snake_case and camelCase are supported for fields.

ResponseResponse

HTTP Code: 200 - OK

{
  "configurationNetworkInterfaces": [
    {
      "id": "string",
      "name": "string",
      "configurationId": "string",
      "linkSpeedGbps": "string",
      "availableModes": [
        "string"
      ],
      "mcLagOptions": {
        "interfaceCount": "string"
      }
    }
  ],
  "nextPageToken": "string"
}

Field

Description

configurationNetworkInterfaces[]

ConfigurationNetworkInterface

List of ConfigurationNetworkInterface resources.

nextPageToken

string

Token for getting the next page of the list. If the number of results is greater than
ListConfigurationNetworkInterfaceRequest.pageSize, use next_page_token as the value
for the ListConfigurationNetworkInterfaceRequest.pageToken parameter in the next list request.

Each subsequent page will have its own next_page_token to continue paging through the results.

ConfigurationNetworkInterfaceConfigurationNetworkInterface

Field

Description

id

string

Id of the network interface
Not used while creating interfaces

name

string

Name of the network interface

configurationId

string

Id of the configuration

linkSpeedGbps

string (int64)

Link speed in gigabits per second

availableModes[]

enum (InterfaceMode)

Available modes for the network interface

  • PRIVATE: Private network interface mode.
  • PUBLIC: Public network interface mode.

mcLagOptions

MCLagAggregationOptions

MC-LAG configuration options for aggregated interfaces

MCLagAggregationOptionsMCLagAggregationOptions

MC-LAG aggregation options for the network interface.

Field

Description

interfaceCount

string (int64)

Number of interfaces in the MC-LAG aggregation.

Была ли статья полезна?

Предыдущая
List
Следующая
Overview
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»